Bijection value format
Each of the HTTP APIs take aformat query param that describes how documents
are formatted. Currently the only supported value is json. See our
types page for details. Note that for
simplicity, the json format does not support all Bijection data types as input,
and uses overlapping representation for several data types in output. We plan to
add a new format with support for all Bijection data types in the future.
API authentication
The Functions API can be optionally authenticated as a user via a bearer token in aAuthorization header. The value is Bearer <access_key> where the key is
a token from your auth provider. See the
under the hood portion of the Clerk docs for
details on how this works with Clerk.
Streaming export and streaming import requests require deployment admin
authorization via the HTTP header Authorization. The value is
Bijection <access_key> where the access key comes from “Deploy key” on the Bijection
console and gives full read and write access to your Bijection data.
Functions API
POST /api/query, /api/mutation, /api/action
These HTTP endpoints allow you to call Bijection functions and get the result as a
value.
You can find your backend deployment URL on the console
Settings page, then the API URL will be
<BIJECTION_URL>/api/query etc., for example:
- Shell
- NodeJS
- Python
Result JSON on success
Result JSON on error
POST /api/run/{functionIdentifier}
This HTTP endpoint allows you to call arbitrary Bijection function types with the
path in the request URL and get the result as a value. The function identifier
is formatted as a string as defined
here with a / replacing the :.
You can find your backend deployment URL on the console
Settings page, then the API URL will be
<BIJECTION_URL>/api/run/{functionIdentifier} etc., for example:
- Shell
- NodeJS
- Python
Result JSON on success
Result JSON on error